org.eclipse.wst.jsdt.chromium.debug.core.util

## Class AccuratenessProperty

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.AccuratenessProperty

    public class AccuratenessProperty
    extends java.lang.Object

A persistent property of IResource that holds 'file match accurateness value' -- a number of file path components that is used in breakpoint target RegExp.

### Nested Class Summary

Nested Classes
`static class` `AccuratenessProperty.Parser`

### Field Summary

Fields
`static int` `BASE_VALUE` Corresponds to short name only.
`static QualifiedName` `KEY`

### Constructor Summary

Constructors
Constructor and Description
`AccuratenessProperty()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `read(IFile file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final QualifiedName KEY

#### BASE_VALUE

    public static final int BASE_VALUE

Corresponds to short name only.

See Also:
  Constant Field Values

### Constructor Detail

#### AccuratenessProperty

    public AccuratenessProperty()

### Method Detail

#### read

    public static int read(IFile file)
                    throws CoreException

Throws:
  `CoreException`